#!/bin/sh

sqlite3 "$REPOCOP_TEST_TMPDIR/tmp.db" <<EOSQL
ATTACH DATABASE '$REPOCOP_TEST_DBDIR/rpm.db' AS rpm;
.mode tabs
.output $REPOCOP_TEST_TMPDIR/msg
SELECT pkgid FROM rpm WHERE url IS NULL AND name NOT GLOB 'branding-*' AND name NOT GLOB 'alterator-*' AND name NOT GLOB 'installer-*' AND name NOT GLOB 'xfce-settings-*' AND name NOT GLOB 'rpm-macros-*' AND name NOT GLOB 'rpm-build-*' AND name NOT GLOB 'indexhtml-*' AND name NOT GLOB 'alt-license-*' AND name NOT GLOB 'design-alterator-*' AND name NOT GLOB 'design-bootloader-*' AND name NOT GLOB 'design-bootsplash-*' AND name NOT GLOB 'design-graphics-*' AND name NOT GLOB 'mithraen-*' AND name NOT GLOB 'docs-*' AND name NOT GLOB 'kde-settings-*' AND name NOT GLOB 'kde-styles-splash-*' AND name NOT GLOB 'apt-conf-*' AND name NOT GLOB 'altlinux-release-*' AND name NOT GLOB 'alt-notes-*';

EOSQL
for i in `cat $REPOCOP_TEST_TMPDIR/msg`; do repocop-test-info -k $i "Missing Url: in a package."; done
rm $REPOCOP_TEST_TMPDIR/*

